Skip to main content
GET
/
events
/
{id}
Get event
curl --request GET \
  --url https://api.example.com/events/{id}
{
  "id": "<string>",
  "title": "<string>",
  "categories": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "venueEvents": [
    {
      "id": "<string>",
      "externalIdentifier": "<string>",
      "title": "<string>",
      "image": "<string>",
      "venue": "kalshi",
      "categories": [
        {
          "id": "<string>",
          "category": {
            "id": "<string>",
            "name": "<string>"
          }
        }
      ],
      "description": "<string>",
      "volume": 1,
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "series": {
        "id": "<string>",
        "venue": "kalshi",
        "externalIdentifier": "<string>",
        "name": "<string>",
        "description": "<string>",
        "volume": 1,
        "recurrence": "<string>"
      },
      "slug": "<string>",
      "subtitle": "<string>",
      "competition": "<string>",
      "competitionScope": "<string>",
      "tags": [
        "<string>"
      ],
      "matchStatus": "pending",
      "matchType": "manual",
      "matchReason": "<string>",
      "matchConfidence": 0.5,
      "updatedAt": "<string>"
    }
  ],
  "markets": [
    {
      "id": "<string>",
      "eventId": "<string>",
      "question": "<string>",
      "venueMarkets": [
        {
          "id": "<string>",
          "venue": "kalshi",
          "externalIdentifier": "<string>",
          "question": "<string>",
          "venueMarketOutcomes": [
            {
              "id": "<string>",
              "venueMarketId": "<string>",
              "label": "<string>",
              "price": 0.5,
              "externalIdentifier": "<string>",
              "title": "<string>",
              "winner": true
            }
          ],
          "venueEventId": "<string>",
          "description": "<string>",
          "rulesPrimary": "<string>",
          "rulesSecondary": "<string>",
          "conditionId": "<string>",
          "volume": 1,
          "image": "<string>",
          "status": "open",
          "startDate": "<string>",
          "endDate": "<string>",
          "creationDate": "<string>",
          "createdAt": "<string>",
          "settlementSources": [
            {
              "name": "<string>",
              "url": "<string>"
            }
          ],
          "resolutionDate": "<string>",
          "resolvedBy": "<string>",
          "resolutionCriteriaUrl": "<string>",
          "primaryResolutionDomain": "<string>",
          "negRisk": true,
          "matchStatus": "pending",
          "matchType": "manual",
          "matchReason": "<string>",
          "matchConfidence": 0.5
        }
      ],
      "image": "<string>",
      "volume": 1,
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "venueCount": 1
    }
  ],
  "description": "<string>",
  "volume": 1,
  "venueCount": 1,
  "status": "open",
  "startDate": "<string>",
  "endDate": "<string>",
  "creationDate": "<string>"
}

Path Parameters

id
string
required

Query Parameters

status
Available options:
open,
closed,
resolved,
unopened,
paused

Response

200

id
string
required
title
string
required
categories
object[]
required
venueEvents
object[]
required
markets
object[]
required
description
string | null
volume
number | null
Required range: x >= 0
venueCount
integer
Required range: x >= 0
status
enum<string>
Available options:
open,
closed,
resolved,
unopened,
paused
startDate
string | null
endDate
string | null
creationDate
string | null